foxTest = module.Create(foxTest, UIParent, "Right", false, 3, 12, true)
foxTest:ClearAllPoints();
foxTest:SetPoint("Right", UIParent, "Right", 0, 0);


-- BottomRight Config1
-- BagBar (Setup Vert, locked to BottomRight)

-- ActionBar
actionBar = module.Create(actionBar, UIParent, "BottomRight", false, 4, 8, false)
actionBar:ClearAllPoints();
actionBar:SetPoint("BottomRight", Addon.BagBar, "BottomLeft", 0, 0);


-- Timer Frame
local name = "FSUI_StopWatch"
local self;
if (_G[name] == nil) then
   self = libFrameCreator.New(name);
else
   self = libFrameCreator.Setup(_G[name]);
end

--self:SetWidth(foxTest2:GetWidth());
self:SetWidth(136);
self:SetHeight(24);
self:ClearAllPoints();
self:SetPoint("BottomRight", actionBar, "TopRight", 0, 0);
self:Show();
local newStopWatchFrame = self;

name = "StopwatchFrame";
local stopWatch = _G[name]

name = "StopwatchTabFrame";
local stopWatchTab = _G[name]

-- Get and Hide Textures
local texture1, texture2 = stopWatch:GetRegions()
texture1:Hide();
texture2:Hide();

-- Show StopWatch
stopWatch:Show();

-- Disable Mouse (Dragging)
stopWatch:EnableMouse(false);

-- Set Position
stopWatch:ClearAllPoints();
stopWatch:SetPoint("Right", self, "Right", 1, 7);

-- Hide Tab Graphics
local texture1, texture2, texture3, texture4, texture5  = stopWatchTab:GetRegions()
texture1:Hide();
texture2:Hide();
texture3:Hide();
texture4:Hide();

-- Hide Tab Close Button
name = "StopwatchCloseButton";
local stopWatchCloseButton = _G[name]

stopWatchCloseButton:ClearAllPoints();
stopWatchCloseButton:SetPoint("TopRight", UIParent, "TopLeft", -200, 0);


-- To Reset Use:
--local texture1, texture2 = stopWatch:GetRegions()
--texture1:Show();
--texture2:Show();
-- local texture1, texture2, texture3, texture4, texture5  = stopWatchTab:GetRegions()
--texture1:Show();
--texture2:Show();
--texture3:Show();
--texture4:Show();
--stopWatchCloseButton:ClearAllPoints();
--stopWatchCloseButton:SetPoint("TopRight", 1, 1);
--stopWatch:EnableMouse(true);



-- Create Filler Frame
local name = "FSUI_TitleBar"
if (_G[name] == nil) then
   self = libFrameCreator.New(name);
else
   self = libFrameCreator.Setup(_G[name]);
end

--self:SetWidth(foxTest2:GetWidth());
local width = actionBar:GetWidth() - newStopWatchFrame:GetWidth();
--self:SetWidth(148);
self:SetWidth(width);
self:SetHeight(24);
self:ClearAllPoints();
self:SetPoint("TopRight", newStopWatchFrame, "TopLeft", 0, 0);
self:Show();

self.label1 = libFrameCreator.CreateLabel(self.label1, self, "Fox Smooth UI v3.0", "Center", self, "Center", 0, 0, 120, 24, "Center", "Middle");
self.label1:SetTextColor(0, 1, 0, 1)