local addonName, addonTable = ...
-- libFoxActionButton_Setup.lua
-- Handles Creating Action Buttons.

--================================================================================================--
--=========================================== Header =============================================--
--================================================================================================--

----------------------------------------------------------------------------------------------------
-- Addon Variables
----------------------------------------------------------------------------------------------------
local LibraryName			= "FoxActionButton";
local LibraryVersion		= "2.0";
local LibraryVersionMinor	= ".0";
local lib;
local Console;

----------------------------------------------------------------------------------------------------
--  Get Library Info
----------------------------------------------------------------------------------------------------
if (LibStub:GetLibrary(LibraryName.." "..LibraryVersion, true) == nil) then
	lib = LibStub:NewLibrary(LibraryName.." "..LibraryVersion, LibraryVersionMinor);
else
	lib = LibStub:GetLibrary(LibraryName.." "..LibraryVersion);
end

----------------------------------------------------------------------------------------------------
--  Get Console
----------------------------------------------------------------------------------------------------
Console = LibStub:GetLibrary("FoxConsole");

--================================================================================================--
--=========================================== Header =============================================--
--================================================================================================--

----------------------------------------------------------------------------------------------------
-- Setup Project Header Variables
addonTable.Name 	= LibraryName;
addonTable.Version 	= LibraryVersion;
----------------------------------------------------------------------------------------------------

----------------------------------------------------------------------------------------------------
-- Variables
----------------------------------------------------------------------------------------------------
-- Library Variables
-----------------------
-- Methods of the ActionButton Class
lib.Methods 									= {}; 	

-- Local Library Functions
lib.Functions 									= {};
lib.Functions.Events 							= {};
lib.Functions.Setup 							= {};

-- Local Variables
lib.Variables									= {};
lib.CONSTANTS 									= {};   
lib.Variables.ModLayer							= {};
lib.Variables.Defaults							= {};
lib.Variables.Colors							= {};
lib.Variables.Colors.CooldownColor 				= {};

-- Local Events
lib.Events										= {};

-- Api
lib.Api											= {};

-- Buttons Array
lib.Buttons										= {};

-- Graphics
lib.Variables.Graphics							= {};
lib.Functions.Graphics							= {};



